QT += core sql network
QT -= gui

CONFIG += c++11 console
CONFIG -= app_bundle

TARGET = ytDataWriteProcess


SOURCES += \
        main.cpp \
    writecore.cpp \
    logthread.cpp \
    databasethread.cpp \
    mqttdatathread.cpp \
    dealmqttthread.cpp \
    mqtteventdatathread.cpp \
    dealmqtteventthread.cpp \
    mqttalarmdatathread.cpp \
    dealmqttalarmthread.cpp \
    databaseeventthread.cpp

INCLUDEPATH += ../qmqtt-master/src/mqtt

HEADERS += \
    writecore.h \
    logthread.h \
    databasethread.h \
    mqttdatathread.h \
    dealmqttthread.h \
    mqtteventdatathread.h \
    dealmqtteventthread.h \
    mqttalarmdatathread.h \
    dealmqttalarmthread.h \
    databaseeventthread.h

LIBS += -lQt5Qmqtt

